CVE-2000-0271
CVSS4.6
发布时间 :2000-04-18 00:00:00
修订时间 :2008-09-10 15:03:48
NMCO    

[原文]read-passwd and other Lisp functions in Emacs 20 do not properly clear the history of recently typed keys, which allows an attacker to read unencrypted passwords.


[CNNVD]GNU Emacs本地窃听漏洞(CNNVD-200004-043)

        Emacs 20中的read-passwd和其他Lisp函数没有正确清除最近键入字符的历史信息,存在漏洞,攻击者可以利用这个漏洞读取非加密的口令。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gnu:emacs:20.1GNU GNU Emacs 20.1
cpe:/a:gnu:emacs:20.2GNU GNU Emacs 20.2
cpe:/a:gnu:emacs:20.0GNU Emacs 20.0
cpe:/a:gnu:emacs:20.6GNU GNU Emacs 20.6
cpe:/a:gnu:emacs:20.3GNU GNU Emacs 20.3
cpe:/a:gnu:emacs:20.4GNU Emacs 20.4
cpe:/a:gnu:emacs:20.5GNU GNU Emacs 20.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0271
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0271
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200004-043
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1125
(VENDOR_ADVISORY)  BID  1125
http://www.securityfocus.com/templates/archive.pike?list=1&date=2000-04-15&msg=tg4s8zioxq.fsf@mercury.rus.uni-stuttgart.de
(UNKNOWN)  BUGTRAQ  20000418 RUS-CERT Advisory 200004-01: GNU Emacs 20

- 漏洞信息

GNU Emacs本地窃听漏洞
中危 访问验证错误
2000-04-18 00:00:00 2005-10-20 00:00:00
本地  
        Emacs 20中的read-passwd和其他Lisp函数没有正确清除最近键入字符的历史信息,存在漏洞,攻击者可以利用这个漏洞读取非加密的口令。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com. It has been indicated that a new release, 20.7, will likely be released to remedy this, and other, problems.
        A patch was included with the advisory which reported this vulnerability. It fixes this and other vulnerabilities.
        GNU Emacs 20.6
        

- 漏洞信息

13668
GNU Emacs read-passwd Lisp Function Arbitrary Password Disclosure
Local Access Required Authentication Management
Loss of Confidentiality Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2000-04-18 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 20.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站